# Class BattleAnim`Abstract`

#### Hierarchy (view full)

- BattleAnim
  - CommonBattleAnim
  - MoveAnim

- Defined in src/data/battle-anims.ts:670

#####
Index

### Constructors

constructor

### Properties

bgSprite
dstLine
sprites
srcLine
target
user

### Methods

getAnim
getGraphicFrameData
isHideTarget
isHideUser
isOppAnim
play

## Constructors

### constructor

- new BattleAnim(user, target): BattleAnim

- #### Parameters

  - user: default
  - target: default

  #### Returns BattleAnim

  - Defined in src/data/battle-anims.ts:679

## Properties

### bgSprite

bgSprite: TileSprite | Rectangle

- Defined in src/data/battle-anims.ts:674

### `Private` dstLine

dstLine: number[]

- Defined in src/data/battle-anims.ts:677

### sprites

sprites: Sprite[]

- Defined in src/data/battle-anims.ts:673

### `Private` srcLine

srcLine: number[]

- Defined in src/data/battle-anims.ts:676

### target

target: default

- Defined in src/data/battle-anims.ts:672

### user

user: default

- Defined in src/data/battle-anims.ts:671

## Methods

### `Abstract` getAnim

- getAnim(): AnimConfig

- #### Returns AnimConfig

  - Defined in src/data/battle-anims.ts:685

### `Private` getGraphicFrameData

- getGraphicFrameData(scene, frames): Map<number, Map< AnimFrameTarget , GraphicFrameData>>

- #### Parameters

  - scene: default
  - frames: AnimFrame[]

  #### Returns Map<number, Map< AnimFrameTarget , GraphicFrameData>>

  - Defined in src/data/battle-anims.ts:697

### `Protected` isHideTarget

- isHideTarget(): boolean

- #### Returns boolean

  - Defined in src/data/battle-anims.ts:693

### `Protected` isHideUser

- isHideUser(): boolean

- #### Returns boolean

  - Defined in src/data/battle-anims.ts:689

### `Abstract` isOppAnim

- isOppAnim(): boolean

- #### Returns boolean

  - Defined in src/data/battle-anims.ts:687

### play

- play(scene, callback?): void

- #### Parameters

  - scene: default
  - `Optional` callback: Function

  #### Returns void

  - Defined in src/data/battle-anims.ts:751